Package org.eclipse.m2m.atl.emftvm.trace

## Interface TargetElement

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `TraceElement`

All Known Implementing Classes:
  `TargetElementImpl`

    public interface TargetElement
    extends TraceElement

A representation of the model object 'Target Element'.

See Also:
  `TracePackage.getTargetElement()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<SourceElement>` `getMapsTo()` Returns the value of the 'Maps To' reference list.
`TraceLink` `getTargetOf()` Returns the value of the 'Target Of' container reference.
`void` `setTargetOf​(TraceLink value)` Sets the value of the '`Target Of`' container reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.trace.TraceElement

`getName, getObject, getRuntimeObject, setName, setObject, setRuntimeObject`

### Method Detail

#### getTargetOf

    TraceLink getTargetOf()

Returns the value of the 'Target Of' container reference. It is bidirectional and its opposite is '`Target Elements`'.

If the meaning of the 'Target Of' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Target Of' container reference.
See Also:
  `setTargetOf(TraceLink)`, `TracePackage.getTargetElement_TargetOf()`, `TraceLink.getTargetElements()`

#### setTargetOf

    void setTargetOf​(TraceLink value)

Sets the value of the '`Target Of`' container reference.

Parameters:
  `value` - the new value of the 'Target Of' container reference.
See Also:
  `getTargetOf()`

#### getMapsTo

    org.eclipse.emf.common.util.EList<SourceElement> getMapsTo()

Returns the value of the 'Maps To' reference list. The list contents are of type `SourceElement`. It is bidirectional and its opposite is '`Maps To`'.

If the meaning of the 'Maps To' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Maps To' reference list.
See Also:
  `TracePackage.getTargetElement_MapsTo()`, `SourceElement.getMapsTo()`